Runtime

## org.eclipse.gmf.runtime.diagram.ui.editparts
Class NoteEditPart

    java.lang.Object
      org.eclipse.gef.editparts.AbstractEditPart
          org.eclipse.gef.editparts.AbstractGraphicalEditPart
              org.eclipse.gmf.runtime.diagram.ui.editparts.GraphicalEditPart
                  org.eclipse.gmf.runtime.diagram.ui.editparts.TopGraphicEditPart
                      org.eclipse.gmf.runtime.diagram.ui.editparts.ShapeEditPart
                          org.eclipse.gmf.runtime.diagram.ui.editparts.ShapeNodeEditPart
                              org.eclipse.gmf.runtime.diagram.ui.editparts.NoteEditPart

All Implemented Interfaces:
  EditPart, GraphicalEditPart, IAdaptable, IAdaptableSelection, org.eclipse.gmf.runtime.diagram.ui.internal.editparts.IContainedEditPart, org.eclipse.gmf.runtime.diagram.ui.internal.editparts.IEditableEditPart, IGraphicalEditPart, INodeEditPart, INotableEditPart, IPrimaryEditPart, NodeEditPart, NotificationListener, RequestConstants

public class NoteEditPart
extends ShapeNodeEditPart

Note shape which provides textual annotations for diagram elements. Notes are attachable.

Notes support diagram links.

Nested Class Summary

Nested classes inherited from class org.eclipse.gef.editparts.AbstractGraphicalEditPart
`AbstractGraphicalEditPart.AccessibleGraphicalEditPart, AbstractGraphicalEditPart.DefaultAccessibleAnchorProvider`

Nested classes inherited from class org.eclipse.gef.editparts.AbstractEditPart
`AbstractEditPart.EditPolicyIterator`

Field Summary

Fields inherited from class org.eclipse.gmf.runtime.diagram.ui.editparts.GraphicalEditPart
`accessibleEP, elementGuid`

Fields inherited from class org.eclipse.gef.editparts.AbstractGraphicalEditPart
`figure, sourceConnections, targetConnections`

Fields inherited from class org.eclipse.gef.editparts.AbstractEditPart
`children, FLAG_ACTIVE, FLAG_FOCUS, MAX_FLAG`

Fields inherited from interface org.eclipse.gef.EditPart
`SELECTED, SELECTED_NONE, SELECTED_PRIMARY`

Fields inherited from interface org.eclipse.gef.RequestConstants
`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CLONE, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

Constructor Summary
`NoteEditPart(View view)` constructor

Method Summary
`protected void` `addSemanticListeners()` This method adds all listeners to the semantic element behind this EditPart Override this method to add more semantic listeners down the hierarchy This method is called only if the semantic element is resolvable
`protected void` `createDefaultEditPolicies()` Adds support for diagram links.
`protected NodeFigure` `createNodeFigure()` Creates a note figure.
`java.lang.Object` `getPreferredValue(EStructuralFeature feature)` Retrieves the preferred value for the supplied feature.
`EditPart` `getPrimaryChildEditPart()` this method will return the primary child EditPart inside this edit part
`protected void` `handleNotificationEvent(Notification notification)` Handles the property changed event.
`protected void` `removeSemanticListeners()` This method removes all listeners to the semantic element behind this EditPart Override this method to remove semantic listeners down the hierarchy

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.editparts.ShapeNodeEditPart
`canAttachNote, createFigure, getModelSourceConnections, getModelTargetConnections, getNodeFigure, getSourceConnectionAnchor, getSourceConnectionAnchor, getTargetConnectionAnchor, getTargetConnectionAnchor, mapConnectionAnchorToTerminal, mapTerminalToConnectionAnchor`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.editparts.ShapeEditPart
`getLocation, getPrimaryDragEditPolicy, getSize, refreshBounds, refreshVisuals`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.editparts.TopGraphicEditPart
`getResizableCompartments, getResizableNotationViews, performDirectEditRequest, understandsRequest`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.editparts.GraphicalEditPart

`activate, addChild, addListenerFilter, addListenerFilter, addNotationalListeners, basicGetModel, createConnection, createEditPolicies, deactivate, disableEditMode, enableEditMode, eraseSourceFeedback, eraseTargetFeedback, executeCommand, findEditPart, getAccessibleEditPart, getAdapter, getChildBySemanticHint, getChildBySemanticHintOnPrimaryView, getChildViewBySemanticHint, getCommand, getContentPaneFor, getDiagramEditDomain, getDiagramPreferencesHint, getDiagramView, getDragTracker, getEditDomain, getEditingDomain, getMapMode, getModel, getModelChildren, getNotationView, getPrimaryView, getResourceManager, getRoot, getStructuralFeatureValue, getTopGraphicEditPart, handleMajorSemanticChange, hasNotationView, isCanonical, isEditModeEnabled, isSelectable, notifyChanged, performRequest, reactivateSemanticModel, refresh, refreshBackgroundColor, refreshChild, refreshFont, refreshFontColor, refreshForegroundColor, refreshSourceConnection, refreshTargetConnection, refreshVisibility, registerModel, removeListenerFilter, removeNotationalListeners, removeNotify, resolveSemanticElement, setBackgroundColor, setFont, setFontColor, setForegroundColor, setModel, setStructuralFeatureValue, setVisibility, showSourceFeedback, showTargetFeedback, transactionAboutToCommit, unregisterModel`

Methods inherited from class org.eclipse.gef.editparts.AbstractGraphicalEditPart

`addChildVisual, addNodeListener, addNotify, addSourceConnection, addTargetConnection, createOrFindConnection, fireRemovingSourceConnection, fireRemovingTargetConnection, fireSourceConnectionAdded, fireTargetConnectionAdded, getContentPane, getFigure, getLayer, getSourceConnections, getTargetConnections, primAddSourceConnection, primAddTargetConnection, primRemoveSourceConnection, primRemoveTargetConnection, refreshSourceConnections, refreshTargetConnections, registerVisuals, removeChildVisual, removeNodeListener, removeSourceConnection, removeTargetConnection, reorderChild, reorderSourceConnection, reorderTargetConnection, setFigure, setLayoutConstraint, unregisterVisuals`

Methods inherited from class org.eclipse.gef.editparts.AbstractEditPart

`activateEditPolicies, addEditPartListener, createChild, deactivateEditPolicies, debug, debugFeedback, fireActivated, fireChildAdded, fireDeactivated, fireRemovingChild, fireSelectionChanged, getChildren, getEditPolicy, getEditPolicyIterator, getEventListeners, getFlag, getParent, getSelected, getTargetEditPart, getViewer, hasFocus, installEditPolicy, isActive, refreshChildren, register, registerAccessibility, removeChild, removeEditPartListener, removeEditPolicy, setFlag, setFocus, setParent, setSelected, toString, unregister, unregisterAccessibility`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.gef.GraphicalEditPart
`addNodeListener, getContentPane, getFigure, getSourceConnections, getTargetConnections, removeNodeListener, setLayoutConstraint`

Methods inherited from interface org.eclipse.gef.EditPart

`activate, addEditPartListener, addNotify, deactivate, eraseSourceFeedback, eraseTargetFeedback, getChildren, getCommand, getDragTracker, getEditPolicy, getModel, getParent, getRoot, getSelected, getTargetEditPart, getViewer, hasFocus, installEditPolicy, isActive, isSelectable, performRequest, refresh, removeEditPartListener, removeEditPolicy, removeNotify, setFocus, setModel, setParent, setSelected, showSourceFeedback, showTargetFeedback, understandsRequest`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Constructor Detail

### NoteEditPart

    public NoteEditPart(View view)

  constructor

Parameters:
  `view` - the view controlled by this edit part

Method Detail

### createNodeFigure

    protected NodeFigure createNodeFigure()

  Creates a note figure.

  Specified by:
    `createNodeFigure` in class `ShapeNodeEditPart`
  Returns:
    `NodeFigure`

### createDefaultEditPolicies

    protected void createDefaultEditPolicies()

  Adds support for diagram links.

  Overrides:
    `createDefaultEditPolicies` in class `ShapeNodeEditPart`

### getPrimaryChildEditPart

    public EditPart getPrimaryChildEditPart()

  this method will return the primary child EditPart inside this edit part

  Specified by:
    `getPrimaryChildEditPart` in interface `IGraphicalEditPart`
  Overrides:
    `getPrimaryChildEditPart` in class `GraphicalEditPart`
  Returns:
    the primary child view inside this edit part

### getPreferredValue

    public java.lang.Object getPreferredValue(EStructuralFeature feature)

  Description copied from interface: `IGraphicalEditPart`
  Retrieves the preferred value for the supplied feature. This value could be the current value set in the preference store. Clients may override this to supply their own preferred values. The type of the return value will vary depending on the feature.

  Specified by:
    `getPreferredValue` in interface `IGraphicalEditPart`
  Overrides:
    `getPreferredValue` in class `GraphicalEditPart`

### addSemanticListeners

    protected void addSemanticListeners()

  Description copied from class: `GraphicalEditPart`
  This method adds all listeners to the semantic element behind this EditPart Override this method to add more semantic listeners down the hierarchy This method is called only if the semantic element is resolvable

  Overrides:
    `addSemanticListeners` in class `GraphicalEditPart`

### removeSemanticListeners

    protected void removeSemanticListeners()

  Description copied from class: `GraphicalEditPart`
  This method removes all listeners to the semantic element behind this EditPart Override this method to remove semantic listeners down the hierarchy

  Overrides:
    `removeSemanticListeners` in class `GraphicalEditPart`

### handleNotificationEvent

    protected void handleNotificationEvent(Notification notification)

  Description copied from class: `GraphicalEditPart`
  Handles the property changed event. Clients should override to respond to the specific notification events they are interested. Note: This method may get called on a non-UI thread. Clients should either ensure that their code is thread safe and/or doesn't make unsupported calls (i.e. Display.getCurrent() ) assuming they are on the main thread. Alternatively if this is not possible, then the client can wrap their handler within the Display.synchExec runnable to ensure synchronization and subsequent execution on the main thread.

  Overrides:
    `handleNotificationEvent` in class `ShapeNodeEditPart`
  See Also:
    `org.eclipse.gmf.runtime.diagram.ui.editparts.GraphicalEditPart#handlePropertyChangeEvent(java.beans.PropertyChangeEvent)`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.